050 537 18 18
096 537 18 18

Apple Repair

Apple Repair

MacOS Mojave для неподдерживаемых компьютеров Mac

mojave

Важное примечание: 10.14.4 НЕ МОЖЕТ быть исправлено должным образом с использованием Mojave Patcher версии 1.2.3 и старше. Если вы обновитесь до 10.14.4 и НЕ обновили том установщика с версией 1.3.0 или более поздней версии Mojave Patcher, вы НЕ сможете загрузить свою систему после обновления! Пожалуйста, прочитайте раздел обновлений для получения дополнительной информации.

Требования:

Начало 2008 года или более поздняя версия Mac Pro, iMac или MacBook Pro:

• MacPro3,1
• MacPro4,1
• iMac8,1
• iMac9,1
• iMac10, x
• iMac11, x (системы с графическими процессорами AMD Radeon HD серии 5xxx и 6xxx будут практически непригодны для работы с Mojave. Более подробная информация находится в разделе Известные Раздел «Проблемы» ниже.)
• iMac12, x (системы с графическими процессорами AMD Radeon HD серии 5xxx и 6xxx будут практически непригодны для работы с Mojave. Более подробная информация находится в разделе «Известные проблемы» ниже.)
• MacBookPro4,1
• MacBookPro5, x
• MacBookPro6 , x
• MacBookPro7,1
• MacBookPro8, x

Конец 2008 года или более новый MacBook Air или алюминиевый MacBook Unibody:

• MacBookAir2,1
• MacBookAir3, х
• MacBookAir4, х
• MacBook5,1

Начало 2009 года или более новый Mac Mini или белый MacBook:

• Macmini3,1
• Macmini4,1
• Macmini5, x
• MacBook5,2
• MacBook6,1
• MacBook7,1

Начало 2008 года или новее Xserve:

• Xserve2,1
• Xserve3,1

Машины, которые НЕ ПОДДЕРЖИВАЮТСЯ:

Mac Pro 2006-2007, iMac, MacBook Pro и Mac Minis:

• MacPro1,1
• MacPro2,1
• iMac4,1
• iMac5, x
• iMac6,1
• iMac7,1
• MacBookPro1,1
• MacBookPro2,1
• MacBookPro3,1
• Macmini1,1
• Macmini2,1

IMac 7,1 2007 совместим, если ЦП обновлен до Core 2 Duo на базе Penryn, такого как T9300.

• 2006-2008 MacBooks:

• MacBook1,1
• MacBook2,1
• MacBook3,1
• MacBook4,1

• MacBook Air 2008 (MacBookAir 1,1)

Вещи, которые вам понадобятся:

• Копия приложения установщика MacOS Mojave. Это можно получить в Mac App Store на машине, которая поддерживает Mojave, или с помощью встроенной функции загрузки инструмента. В строке меню просто выберите «Инструменты> Загрузить macOS Mojave …»

downloadmacos 1

• USB-накопитель размером не менее 16 ГБ 
• Копия инструмента — Загрузить

Известные проблемы:

• Аномалии графики: в настоящее время при использовании светлой темы видеокарты из металла, используемые в Mojave, будут отображать странную темно-серую полосу меню и боковую панель Finder. В темной теме, однако, этих аномалий нет. 

• Ускорение графических процессоров AMD Radeon HD 5xxx / 6xxx: в настоящее время невозможно получить полное графическое ускорение при работе Mojave в системе с графическим процессором Radeon HD 5xxx или 6xxx. Мохаве будет практически НЕ УКАЗАНО без графического ускорения. Это включает в себя 15-дюймовые и 17-дюймовые системы MacBook Pro (MacBookPro 8,2 и 8,3). Если вы хотите включить ускорение GPU на этих машинах, вам нужно отключить AMD GPU (это будет работать ТОЛЬКО в системах MacBook Pro 8,2 и 8,3. ВЫ НЕ МОЖЕТЕ отключить AMD GPU в iMac.) Странные цвета также будет производиться при запуске Mojave с одной из этих установленных / включенных видеокарт. Чтобы отключить графический процессор AMD на MacBook Pro 8,2 или 8,3 2011 года.

• Поддержка графических процессоров Mac Pro (MacPro3,1) в начале 2008 года: при работе с Mojave вы НЕ МОЖЕТЕ использовать более новую видеокарту AMD ДАЖЕ, ЕСЛИ она совместима с металлом и поддерживается в Mojave. Более новые драйверы AMD, используемые в Mojave, требуют набора инструкций SSE4.2, который MacPro3,1 не поддерживает. В настоящее время обойти это невозможно. Единственными вариантами обновления GPU для систем MacPro3,1 являются карты nVidia, которые прекрасно работают. 

• Встроенные камеры iSight. В настоящее время встроенные камеры iSight не работают правильно на некоторых машинах. Кажется, что вы попали или не попали, но при установке ожидайте, что ваша камера iSight не будет работать. 

• Трекпад (только для MacBook5,2). Трекпад в MacBook5,2 не полностью поддерживается в Mojave. Хотя он работает и полностью используется, Mojave определяет его как обычную мышь, не позволяя вам изменять некоторые настройки, ориентированные на трекпад. 

Как использовать: 

1. Вставьте желаемый USB-накопитель, откройте Дисковую утилиту и отформатируйте его как OS X Extended (Journaled). 

step1

2. Откройте инструмент «macOS Mojave Patcher» и найдите свою копию приложения MacOS Mojave Installer.

step2

* Убедитесь, что инструмент успешно проверяет приложение.

step3

3. Затем выберите свой USB-накопитель в списке Target Volume и нажмите «Начать работу».

step4

4. Когда операция завершится, загрузите целевой Mac без поддержки с USB-накопителя, который вы только что создали, удерживая нажатой клавишу «Option» при включении аппарата и выборе диска.

bootmenu 1

Примечание. Выполните шаги 5 и 6, только если вы собираетесь выполнить чистую установку. В противном случае вы можете просто пропустить эти шаги и установить на свой том, связанный с предыдущей версией OS X, и он выполнит обновление на месте.

5. При загрузке установщика откройте Дисковую утилиту из меню «Утилиты» или дважды щелкните ее в окне «Утилиты» в левом нижнем углу экрана.

step6

6. Выберите диск или раздел, на который вы хотите установить, и удалите его, убедившись, что в качестве типа файловой системы используется Mac OS Extended (Journaled) или APFS. При форматировании всего диска убедитесь, что выбран GUID.

Важная заметка: Использование APFS ТРЕБУЕТСЯ в Мохаве для получения системных обновлений с помощью обычного метода обновления программного обеспечения. Если вы решите продолжать использовать macOS Extended (Journaled) в качестве типа вашей файловой системы, вы НЕ будете получать Обновления системы через Системные настройки.

• Использование APFS на компьютерах, выпущенных в конце 2009 г. и более поздних версиях, будет работать не иначе, как в High Sierra.
• Если у вас есть машина, которая изначально не поддерживала High Sierra (и поэтому не может загружать тома APFS изначально), обратите внимание на следующее:— Если вы используете APFS, у вас не будет загрузочного раздела восстановления.
— Если вы решите использовать APFS, то после установки будет установлен пользовательский метод загрузки, так как прошивка этих неподдерживаемых компьютеров изначально не поддерживает загрузку с томов APFS. Он не так чист, как встроенная загрузка, но не вызовет проблем при запуске Mojave.

step7

7. Установите macOS на нужный том.

step8
step9

8. После завершения установки перезагрузите компьютер на диск установщика. На этот раз откройте приложение «MacOS Post Install».

step10

9. В приложении выберите модель Mac, которую вы используете. Оптимальные патчи будут выбраны для вас на основе выбранной вами модели. Вы также можете выбрать другие патчи по вашему выбору.

step11

10. Выберите том, на котором вы только что установили macOS Mojave, и нажмите «Patch». Когда он закончит исправление, нажмите «Перезагрузить». Он может сидеть там несколько минут, восстанавливая кеш перед перезагрузкой.
• Если по какой-либо причине система не работает должным образом после перезагрузки, загрузитесь обратно на диск установщика, снова запустите исправление после установки и выберите «Принудительное восстановление кэша» перед перезагрузкой. Это не обязательно в большинстве случаев.

step12

11. После перезагрузки он должен загрузиться в полностью рабочую копию MacOS Mojave.

step13

Дополнительная информация:

• Если выбран этот параметр в инструменте MacOS Post Install, в вашей установке Mojave будет программа с именем «Patch Updater», расположенная в папке / Applications / Utilities. Эта программа уведомит вас о появлении новых обновлений исправлений для вашего компьютера и предложит установить их.

patchupdater

• Во время обновления системы некоторые исправления могут быть перезаписаны. Используя инструмент Patch Updater, вы можете переустановить эти патчи одним щелчком мыши. Для этого откройте приложение Patch Updater и выберите «Просмотр установленных обновлений» или используйте меню «Вид> Показать установленные обновления» в строке меню.
• Чтобы переустановить патч, просто щелкните его правой кнопкой мыши в списке и выберите «Переустановить». Вы также можете нажать кнопку «Переустановить все», чтобы переустановить все установленные на данный момент исправления одновременно.

installedpatches

Поделится:

Обновления

Важное примечание: Использование APFS ТРЕБУЕТСЯ в Мохаве для получения системных обновлений с помощью обычного метода обновления программного обеспечения. Если вы решите продолжать использовать macOS Extended (Journaled) в качестве типа вашей файловой системы, вы НЕ будете получать Обновления системы через Системные настройки. Если вы не используете APFS, вы можете выполнить шаги установки 10.14.1 ниже.

10.14.4

10.14.4 добавляет новые изменения, которые НЕ патчируются инструментом после установки Mojave Patcher v1.2.3 и старше! Перед обновлением до 10.14.4 вам потребуется использовать последнюю версию Mojave Patcher, чтобы создать новый том установщика с помощью приложения установщика 10.14.4. Затем обновитесь до 10.14.4, либо установив его через Обновление программного обеспечения, либо просто используя том установщика, который вы создали для установки.

10.14.3

Если вы в настоящее время используете 10.14.1 или 10.14.2, вы можете просто использовать панель «Обновление программного обеспечения» в Системных настройках (если используете APFS), чтобы применить обновление 10.14.3. После установки обновления вам, скорее всего, потребуется повторно применить исправления после установки, чтобы система снова загрузилась. Этот процесс подробно описан в шагах 8 — 10 выше. Если вы в настоящий момент используете 10.14.0, вам необходимо перейти к методу обновления 10.14.1, описанному ниже.

10.14.2

Если вы в настоящий момент работаете с 10.14.1, вы можете просто использовать панель «Обновление программ» в Системных настройках (если используете APFS), чтобы применить обновление 10.14.2. После установки обновления вам, скорее всего, потребуется повторно применить исправления после установки, чтобы система снова загрузилась. Этот процесс подробно описан в шагах 8 — 10 выше. Если вы в настоящее время используете 10.14.0 или используете том, не поддерживающий AFPS, вам необходимо использовать метод обновления 10.14.1, описанный ниже.

10.14.1 / macOS Расширенные (Журнальные) тома

Обновление Mojave 10.14.1 НЕ устанавливается должным образом на неподдерживаемых компьютерах и может привести к невозможности загрузки ОС. Если вы хотите установить обновление 10.14.1 (и в данный момент не работаете с 10.14.1), выполните следующие действия:

• Загрузите последнюю версию Mojave Patcher
• Загрузите установщик с помощью меню «Инструменты» Mojave Patcher
• Создайте исправленный USB Установщик
• Загрузитесь с него и установите 10.14.1 на том, содержащий более раннюю версию.
• После этого примените исправления после установки, и вы должны быть на 10.14.1.

FAQ:

Q: Инструмент успешно создал USB-накопитель, но при загрузке индикатор выполнения зависает чуть больше, чем на полпути.
О: Проверьте свою копию приложения MacOS Mojave. Если вы используете последнюю версию этого инструмента, вы должны использовать последнюю версию Install MacOS Mojave App. Версия патча 1.1 и более старые поддерживают старые версии программы установки.

Q: Инструмент исправления выдает мне ошибки, такие как «Ошибка копирования файлов …».
A: Убедитесь, что ваш USB-накопитель доступен для записи. Попробуйте переформатировать его или просто попробуйте другой USB-накопитель.

Q: Утилита исправления выдает ошибку «Mounting Failed»
О: Откройте Дисковую утилиту и убедитесь, что «InstallESD» не смонтирован. Если это так, извлеките его и повторите попытку. Также убедитесь, что приложение Install macOS Mojave установлено правильно. Это должно быть около 6 ГБ в размере. Если вы использовали опцию «Пропустить проверку приложения», вы, скорее всего, выбрали недопустимое приложение, в котором нет необходимых файлов.

В: Я не вижу раздел жесткого диска на экране установщика или в инструменте после установки.
О: Убедитесь, что FileVault отключен, или воспользуйтесь указанными инструкциями, чтобы разблокировать его вручную с помощью терминала.

Q: Я получаю символ «НЕТ» при запуске после успешной установки Mojave.
О: Убедитесь, что вы выполнили исправление после установки на правильном томе, как описано выше в шагах 8-10.

Q: Я получаю символ «НЕТ» при запуске с исправленного USB-накопителя.
A: Проверьте список поддерживаемых / не поддерживаемых в верхней части этой страницы. Убедитесь, что ваш компьютер находится в списке поддерживаемых.

Q: Я получаю ошибки «NSURL» при попытке обновить мой компьютер или использовать App Store
A: Обычно это результат неправильного набора CatalogURL. Чтобы вернуться к стоковой версии, просто запустите «sudo softwareupdate —clear-catalogue» в Терминале, а затем запустите скрипт обновления программного обеспечения, расположенный выше.

Q: Safari, App Store и / или Mail перестали работать после установки обновления системы.
A: Загрузите и запустите приложение Onyx , выберите «Техническое обслуживание» вверху и нажмите кнопку «Выполнить».

Q: Я получаю «Нет пакетов, подходящих для установки»
A: Это связано с неправильной настройкой даты и времени в вашей системе. Чтобы это исправить, вы можете либо загрузить текущую установку OS X и установить дату, либо вы можете использовать Terminal после загрузки с вашего пропатченного установщика USB, чтобы установить дату.

Q: Обновления системы не отображаются на панели обновления программного обеспечения.
A: Убедитесь, что вы используете Mojave с тома, отформатированного в APFS. Если вы используете том MacOS Extended (Journaled), вы можете либо преобразовать том в APFS с помощью Дисковой утилиты на диске с исправленными установщиками, либо просто применить нужное обновление системы, следуя методу, описанному в 10.14.1 в разделе выше раздел.

Свежие статьи

Присоединяйтесь